- NAME
- SYNOPSIS
- DESCRIPTION
- ARGUMENTS

# NAME

      stag-autotemplate.pl

# SYNOPSIS

      stag-autotemplate.pl \
        -s my-schema-name -dir ./templates my-sample-data.xml

      stag-autotemplate.pl \
        -s my-schema-name -dir ./templates -no_pp my-stagschema.sxpr

# DESCRIPTION

Generates Stag SQL Templates files based on sample data or a stag-schema

See the script

      stag-autoschema.pl

for generating stag schemas from sample data

# ARGUMENTS

-no_pp
  do not pre-process (the input is a stag schema, not a sample data file)

-dir
  directory in which to write autogenerated templates